# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`acct`](#acct): GNU Accounting Utilities

#### Private Classes

* `acct::config`: configuration
* `acct::package`: package management
* `acct::service`: service management

### Data types

* [`Acct::Defaults`](#Acct--Defaults): Default configuration types

## Classes

### <a name="acct"></a>`acct`

GNU Accounting Utilities

#### Parameters

The following parameters are available in the `acct` class:

* [`defaults`](#-acct--defaults)
* [`manage_defaults`](#-acct--manage_defaults)
* [`package_name`](#-acct--package_name)
* [`package_ensure`](#-acct--package_ensure)
* [`package_manage`](#-acct--package_manage)
* [`service_enable`](#-acct--service_enable)
* [`service_name`](#-acct--service_name)
* [`service_ensure`](#-acct--service_ensure)
* [`service_manage`](#-acct--service_manage)

##### <a name="-acct--defaults"></a>`defaults`

Data type: `Acct::Defaults`

acct defaults configuration

##### <a name="-acct--manage_defaults"></a>`manage_defaults`

Data type: `Boolean`

Manage the acct defaults file (/etc/default/acct)

##### <a name="-acct--package_name"></a>`package_name`

Data type: `String[1]`

The package name

##### <a name="-acct--package_ensure"></a>`package_ensure`

Data type: `String`

The package ensure state

##### <a name="-acct--package_manage"></a>`package_manage`

Data type: `Boolean`

If the package should be managed

##### <a name="-acct--service_enable"></a>`service_enable`

Data type: `Boolean`

The service enable state

##### <a name="-acct--service_name"></a>`service_name`

Data type: `String[1]`

The service name to use

##### <a name="-acct--service_ensure"></a>`service_ensure`

Data type: `Enum['stopped', 'running']`

The service ensure state

##### <a name="-acct--service_manage"></a>`service_manage`

Data type: `Boolean`

If the auditd service should be managed

## Data types

### <a name="Acct--Defaults"></a>`Acct::Defaults`

Default configuration types

Alias of

```puppet
Struct[{
    Optional['enable']  => Boolean,
    Optional['logging'] => Integer,
  }]
```

